summaryrefslogtreecommitdiffstats
path: root/source/xap/pidgin/pidgin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/pidgin/pidgin.SlackBuild')
-rwxr-xr-xsource/xap/pidgin/pidgin.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/xap/pidgin/pidgin.SlackBuild b/source/xap/pidgin/pidgin.SlackBuild
index 5fa20495f..cf28811be 100755
--- a/source/xap/pidgin/pidgin.SlackBuild
+++ b/source/xap/pidgin/pidgin.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PKGNAM=pidgin
VERSION=${VERSION:-$(echo $PKGNAM-2.*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
PIDGINENC=${PIDGINENC:-3.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -106,6 +106,8 @@ CXXFLAGS="$SLKCFLAGS" \
--program-suffix= \
--build=$ARCH-slackware-linux$ARCHQUADLET || exit 1
+zcat $CWD/link-libirc-to-libsasl2.patch.gz | patch -p1 --verbose || exit 1
+
# Fix install location:
grep -lr -- "lib/perl" . | xargs sed -i 's?lib/perl?lib'"$LIBDIRSUFFIX"'/perl?g'